Subject: [NSIS] framework next steps

From: "Hancock, Robert" <[email-masked]>
Date: Thu, 5 Dec 2002 14:17:31 -0000

Hi all,

Following events and discussions in Atlanta, here is an updated proposal on what I imagine happening next with the framework i-d.

The current (-01) version is historically derived from what was basically a framework for a QoS signalling protocol with more generic parameters, but still a very QoS-centric view on how the protocol should operate. Since then, the range of possible signalling applications has broadened and hence the appropriate thickness of the 'generic' (lower) layer has decreased. At the same time, the attempt to describe all signalling applications as abstractions of QoS signalling has probably stopped being convincing.

The proposal for the next framework version is therefore to restructure it around a revised NTLP/NSLP split (see below), describing 
a) how the NTLP functions as a 'black box' (including interactions with external functions like routing/mobility/some security), and 
b) how an NSLP for QoS would function the same way (as a sort of 'worked example'). (It's possible that other signalling applications could be added as further examples if they were included in the w.g. charter.)
IMHO, if the framework doesn't define this layer split, it isn't clear what it is for and in what sense it isn't either finished or stalled waiting for it to be defined somewhere else.

I imagine releasing a framework update before the interim meeting, which would also take account of the other comments that we have got up to now, especially those from Bob & Melinda. (I believe that many of them will be automatically taken care of by the proposed restructuring.) In the meantime, I propose to concentrate on thinking about the engineering aspects of what functions should be either side of the layer boundary (hence other emails).

Cheers,

Robert H.
_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis